;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:vmask
;
; PURPOSE:calcule vmask
;
; CATEGORY:fonction economisatrice de memoire (plus besion de garder
; vmask)  
;
; CALLING SEQUENCE:res=vmask()
;
; OUTPUTS:un tableau 3d correspondant a vmask
;
; EXAMPLE:s''utilise comme si vmask etait un tableau connu en
; replacant ds la syntaxe vmask par vmask(). par ex:
; au lieu de taper vmask[domainef] il faut taper vmask()[domainef]
;
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;                       11/12/98
;                       20/9/99 cas jpk=1 (merci jpblod@ipsl.jussieu.fr)
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION vmask
@common
   tempsun = systime(1)         ; pour key_performance
   if jpk EQ 1 then begin
      res = tmask*shift(tmask, 0, -1)
      res[*, jpj-1] = vmaskred
   ENDIF ELSE BEGIN 
      res = tmask*shift(tmask, 0, -1, 0)
      res[*, jpj-1, *] = vmaskred
   ENDELSE 
   if keyword_set(key_performance) THEN print, 'temps vmask', systime(1)-tempsun 
;
   return, res
end
